Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.loaders
Interface OperationListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  OperationAdapter

    public interface OperationListener

extends EventListener

Listener to operations on data objects. Can be attached to the `DataLoaderPool` and will receive information about operations taken on all `DataObject`s.

Method Summary
`void` | `operationCopy(OperationEvent.Copy ev)` Object has been successfully copied.
`void` | `operationCreateFromTemplate(OperationEvent.Copy ev)` New instance of an object has been created.
`void` | `operationCreateShadow(OperationEvent.Copy ev)` A shadow of a data object has been created.
`void` | `operationDelete(OperationEvent ev)` Object has been successfully deleted.
`void` | `operationMove(OperationEvent.Move ev)` Object has been successfully moved.
`void` | `operationPostCreate(OperationEvent ev)` Object has been recognized by `DataLoaderPool.findDataObject(org.openide.filesystems.FileObject)`.
`void` | `operationRename(OperationEvent.Rename ev)` Object has been successfully renamed.

Method Detail

### operationPostCreate

    void operationPostCreate(OperationEvent ev)

  Object has been recognized by `DataLoaderPool.findDataObject(org.openide.filesystems.FileObject)`. This allows listeners to attach additional cookies, etc.

  Parameters:
    `ev` - event describing the action

### operationCopy

    void operationCopy(OperationEvent.Copy ev)

  Object has been successfully copied.

  Parameters:
    `ev` - event describing the action

### operationMove

    void operationMove(OperationEvent.Move ev)

  Object has been successfully moved.

  Parameters:
    `ev` - event describing the action

### operationDelete

    void operationDelete(OperationEvent ev)

  Object has been successfully deleted.

  Parameters:
    `ev` - event describing the action

### operationRename

    void operationRename(OperationEvent.Rename ev)

  Object has been successfully renamed.

  Parameters:
    `ev` - event describing the action

### operationCreateShadow

    void operationCreateShadow(OperationEvent.Copy ev)

  A shadow of a data object has been created.

  Parameters:
    `ev` - event describing the action

### operationCreateFromTemplate

    void operationCreateFromTemplate(OperationEvent.Copy ev)

  New instance of an object has been created.

  Parameters:
    `ev` - event describing the action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.